summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-03-04 07:13:39 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-03-04 07:13:39 +0000
commit37e5aa98a3c3dac9379fe0b80983f21488c3c5f9 (patch)
tree40a1b58a345114f8ce217b4931f135fd3fa5abf6 /dev-ruby
parent0949a35b020584a14ff753275f142f2d9b476a18 (diff)
downloadbaldeagleos-repo-37e5aa98a3c3dac9379fe0b80983f21488c3c5f9.tar.gz
baldeagleos-repo-37e5aa98a3c3dac9379fe0b80983f21488c3c5f9.tar.xz
baldeagleos-repo-37e5aa98a3c3dac9379fe0b80983f21488c3c5f9.zip
Adding metadata
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/itextomml/itextomml-1.6.1-r1.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/dev-ruby/itextomml/itextomml-1.6.1-r1.ebuild b/dev-ruby/itextomml/itextomml-1.6.1-r1.ebuild
new file mode 100644
index 000000000000..9cb8726710b2
--- /dev/null
+++ b/dev-ruby/itextomml/itextomml-1.6.1-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="README"
+RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb)
+
+inherit ruby-fakegem flag-o-matic
+
+DESCRIPTION="Native Ruby bindings to itex2MML, which converts itex equations to MathML"
+HOMEPAGE="https://golem.ph.utexas.edu/~distler/blog/itex2MML.html"
+
+LICENSE="|| ( GPL-2+ MPL-1.1 LGPL-2+ )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+#Tests don't fail here
+RESTRICT="test"
+
+all_ruby_prepare() {
+ append-cflags -std=gnu17 #944196
+
+ default
+}
+
+each_ruby_test() {
+ ${RUBY} test/test_itextomml.rb || die
+}